package types

import "git.noahlan.cn/noahlan/ntool-biz/core/orm/nent/types"

// AddressMeta 地址数据，保存地区编号
type AddressMeta struct {
	Country  string `json:"country"`  // 国家（目前固定为CN）
	Province string `json:"province"` // 省级
	City     string `json:"city"`     // 地级
	Area     string `json:"area"`     // 县级
	Street   string `json:"street"`   // 乡级
}

type CommonUserMeta struct {
	*AddressMeta
	Gender types.Gender `json:"gender"` // 性别
}
