package dal

// Social类型
const (
	SocialNone       string = "none"        // 无
	SocialWechat            = "wechat"      // 微信-公众平台
	SocialWechatMini        = "wechat-mini" // 微信-小程序
	SocialPhone             = "phone"       // 手机号码
	SocialEmail             = "email"       // 邮箱
	SocialQQ                = "qq"          // QQ
	SocialWeibo             = "weibo"       // 微博
)

var SocialNameMap = map[string]string{
	SocialWechat:     "微信",
	SocialWechatMini: "微信小程序",
	SocialQQ:         "腾讯QQ",
	SocialWeibo:      "微博",
}

const UserDeviceKey = "User-Device"
